Freeciv-3.2: setting Struct Reference

Freeciv-3.2

Loading...
Searching...
No Matches
Data Fields
setting Struct Reference

## Data Fields

const char * | name
enum sset_class | sclass
enum cmdlevel | access_level_read
enum cmdlevel | access_level_write
const char * | short_help
const char * | extra_help
const help_callback_func_t | help_func
enum sset_type | stype
enum sset_category | scategory
enum sset_level | slevel
union { |
struct { |
bool *const pvalue |
const bool default_value |
const bool_validate_func_t validate |
const val_name_func_t name |
bool game_value |
} boolean |
struct { |
int *const pvalue |
const int default_value |
const int min_value |
const int max_value |
const int_validate_func_t validate |
int game_value |
} integer |
struct { |
char *const value |
const char *const default_value |
const size_t value_size |
const string_validate_func_t validate |
char * game_value |
} string |
struct { |
void *const pvalue |
const int store_size |
const int default_value |
const enum_validate_func_t validate |
const val_name_func_t name |
int game_value |
} enumerator |
struct { |
unsigned *const pvalue |
const unsigned default_value |
const bitwise_validate_func_t validate |
const val_name_func_t name |
unsigned game_value |
} bitwise |
}; |  |
const action_callback_func_t | action
enum setting_lock_level | lock
bool | rslock
bool | ruleset_settable
enum setting_default_level | setdef
enum setting_default_level | game_setdef

## Detailed Description

Definition at line 92 of file settings.c.

## Field Documentation

## ◆ [union]

union { ... } setting

## ◆ access_level_read

enum cmdlevel setting::access_level_read

Definition at line 97 of file settings.c.

## ◆ access_level_write

enum cmdlevel setting::access_level_write

Definition at line 98 of file settings.c.

## ◆ action

const action_callback_func_t setting::action

Definition at line 173 of file settings.c.

## ◆ [struct]

struct { ... } setting::bitwise

Referenced by setting_bitwise_secfile_str().

## ◆ [struct]

struct { ... } setting::boolean

## ◆ default_value [1/4]

const bool setting::default_value

Definition at line 131 of file settings.c.

## ◆ default_value [2/4]

const int setting::default_value

Definition at line 139 of file settings.c.

## ◆ default_value [3/4]

const char* const setting::default_value

Definition at line 148 of file settings.c.

## ◆ default_value [4/4]

const unsigned setting::default_value

Definition at line 165 of file settings.c.

## ◆ [struct]

struct { ... } setting::enumerator

Referenced by setting_enum_secfile_str().

## ◆ extra_help

const char* setting::extra_help

Definition at line 112 of file settings.c.

Referenced by send_server_setting_control().

## ◆ game_setdef

enum setting_default_level setting::game_setdef

Definition at line 185 of file settings.c.

## ◆ game_value [1/4]

bool setting::game_value

Definition at line 134 of file settings.c.

## ◆ game_value [2/4]

int setting::game_value

Definition at line 143 of file settings.c.

## ◆ game_value [3/4]

char* setting::game_value

Definition at line 151 of file settings.c.

## ◆ game_value [4/4]

unsigned setting::game_value

Definition at line 168 of file settings.c.

## ◆ help_func

const help_callback_func_t setting::help_func

Definition at line 115 of file settings.c.

## ◆ [struct]

struct { ... } setting::integer

Referenced by setting_int_validate().

## ◆ lock

enum setting_lock_level setting::lock

Definition at line 176 of file settings.c.

Referenced by setting_ruleset_one().

## ◆ max_value

const int setting::max_value

Definition at line 141 of file settings.c.

## ◆ min_value

const int setting::min_value

Definition at line 140 of file settings.c.

## ◆ name [1/2]

const char* setting::name

Definition at line 93 of file settings.c.

Referenced by send_server_setting_control(), setting_bitwise_secfile_str(), setting_enum_secfile_str(), and setting_name().

## ◆ name [2/2]

const val_name_func_t setting::name

Definition at line 133 of file settings.c.

## ◆ pvalue [1/4]

bool* const setting::pvalue

Definition at line 130 of file settings.c.

## ◆ pvalue [2/4]

int* const setting::pvalue

Definition at line 138 of file settings.c.

## ◆ pvalue [3/4]

void* const setting::pvalue

Definition at line 155 of file settings.c.

## ◆ pvalue [4/4]

unsigned* const setting::pvalue

Definition at line 164 of file settings.c.

## ◆ rslock

bool setting::rslock

Definition at line 179 of file settings.c.

## ◆ ruleset_settable

bool setting::ruleset_settable

Definition at line 181 of file settings.c.

## ◆ scategory

enum sset_category setting::scategory

Definition at line 118 of file settings.c.

Referenced by send_server_setting_control().

## ◆ sclass

enum sset_class setting::sclass

Definition at line 94 of file settings.c.

## ◆ setdef

enum setting_default_level setting::setdef

Definition at line 184 of file settings.c.

## ◆ short_help

const char* setting::short_help

Definition at line 104 of file settings.c.

Referenced by send_server_setting_control().

## ◆ slevel

enum sset_level setting::slevel

Definition at line 119 of file settings.c.

## ◆ store_size

const int setting::store_size

Definition at line 156 of file settings.c.

## ◆ [struct]

struct { ... } setting::string

## ◆ stype

enum sset_type setting::stype

Definition at line 117 of file settings.c.

## ◆ validate [1/5]

const bool_validate_func_t setting::validate

Definition at line 132 of file settings.c.

## ◆ validate [2/5]

const int_validate_func_t setting::validate

Definition at line 142 of file settings.c.

## ◆ validate [3/5]

const string_validate_func_t setting::validate

Definition at line 150 of file settings.c.

## ◆ validate [4/5]

const enum_validate_func_t setting::validate

Definition at line 158 of file settings.c.

## ◆ validate [5/5]

const bitwise_validate_func_t setting::validate

Definition at line 166 of file settings.c.

## ◆ value

char* const setting::value

Definition at line 147 of file settings.c.

Referenced by setting_int_to_str(), setting_str_to_str(), show_help_option(), show_settings_one(), and srv_ready().

## ◆ value_size

const size_t setting::value_size

Definition at line 149 of file settings.c.